<script type="text/javascript">

    $(document).ready(function () {

        $('#form').validate(
            {

                rules: {

                    nombre: {

                        minlength: 2,

                        required: true

                    },

                    apellido: {

                        minlength: 2,

                        required: true

                    },

                    email: {

                        email: true

                    },

                    idObraSocial: {

                        required: true

                    },

                    numero_afiliado: {

                        required: true

                    }

                },

                focusCleanup: false,


                highlight: function (label) {

                    $(label).closest('.control-group').removeClass('success').addClass('error');

                },

                success: function (label) {

                    label

                        .text('OK!').addClass('valid')

                        .closest('.control-group').addClass('success');

                },

                errorPlacement: function (error, element) {

                    error.appendTo(element.parents('.controls'));

                }

            });



        <?php $this->load->view('partials/script_edit.php'); ?>



        <?php if(isset($row->id) && $row->id != 0): ?>
        disable_imp();
        $('.opciones_mapa').hide();
        $(".modificar").click(function (e) {
            e.preventDefault();
            enable_imp();
            $(".modificador").hide('fast');
            $(".editable").show('slow');
        });

        $(".can_edit").click(function (e) {
            e.preventDefault();
            enable_imp();
            $(".editable").hide('fast');
            $(".modificador").show('slow');
        });
        <?php else: ?>
        enable_imp();
        $('.opciones_mapa').hide();
        $('#direccion').removeAttr('readonly');
        $('#direccion').removeAttr('disabled');
        $('#cubre').hide();
        $('#cubre2').hide();
        <?php endif; ?>



        $(".can_edit").click(function (e) {
            e.preventDefault();
            disable_imp();
            $(".editable").hide('fast');
            $(".modificador").show('slow');
        });

        $(".modif_mapa").click(function () {
            $('#cubre').hide();
            $('#cubre2').hide();
            $('#direccion').removeAttr('readonly');
            $('#direccion').removeAttr('disabled');
            $(".modif_volver").show();
            $(this).hide();
            return false;
        });
        $(".modif_volver").click(function () {
            $('#cubre').show();
            $('#cubre2').show();
            $('#direccion').attr('readonly', true);
            $('#direccion').attr('disabled', true);
            $(".modif_mapa").show();
            $(this).hide();
            return false;
        });

    }); // end document.ready

    function disable_imp() {
        $('input').attr('readonly', true);
        $('input').attr('disabled', true);
        $('select').attr('readonly', true);
        $('select').attr('disabled', true);
        $('textarea').attr('readonly', true);
        $('textarea').attr('disabled', true);
        $('.opciones_mapa').hide();
    }
    function enable_imp() {
        $('input').removeAttr('readonly');
        $('input').removeAttr('disabled');
        $('select').removeAttr('readonly');
        $('select').removeAttr('disabled');
        $('textarea').removeAttr('readonly');
        $('textarea').removeAttr('disabled');
        $('#direccion').removeAttr('readonly');
        $('#direccion').removeAttr('disabled');
        $(".modif_volver").hide();
        $('.opciones_mapa').show();
    }

    function noEnter(event) {
        if (event.which == 13 || event.keyCode == 13) {
            event.preventDefault();
            alert("Debe seleccionar una opcion del listado.");
            return false;
        }
    }

</script>

<form action="<?php echo $action ?>" id="form" method="POST" enctype="multipart/form-data" class="form-horizontal"

      novalidate="novalidate">

    <input type="hidden" id="id" name="id" value="<?php echo (isset($row->id)) ? $row->id : "0"; ?>"/>

    <div id="page-title" class="clearfix">

        <span

            style="font-size:24px;font-weight:bold;float:left;margin-top:5px;"><?php echo (isset($row->id)) ? $dir2 : $dir1; ?></span>

        <?php if (isset($row->id) && $row->id != 0) { ?>

            <div class="item-content modificador" id="modificador" style="float:right;">

                <button id="modificar" class="btn btn-inverse modificar">Modificar</button>

                <button class="btn cancel">Volver</button>

            </div>

            <div class="item-content editable" id="editable" style="float:right;display:none;">

                <button type="submit" class="btn btn-inverse">Guardar</button>

                <button class="btn can_edit">Cancelar</button>

            </div>

        <?php } else { ?>

            <div class="item-content editable" id="editable" style="float:right;">

                <button type="submit" class="btn btn-inverse">Guardar</button>

                <button class="btn cancel">Cancelar</button>

            </div>

        <?php } ?>

    </div> <!-- /.page-title -->

    <div class="row">

        <div class="span12">

            <div id="validation" class="widget highlight widget-form">

                <div class="widget-content">

                    <fieldset>


                        <?php //echo (isset($message))?$message:'';?>

                        <?php if(isset($master) && $master == TRUE): ?>

                            <div class="control-group">

                                <label class="control-label" for="sucursal">Sucursal</label>

                                <?php $sucursal = (isset($row->sucursal)) ? $row->sucursal : FALSE; ?>

                                <div class="controls">

                                    <select id="sucursal" name="sucursal">

                                        <?php

                                        if (!isset($row->sucursal)) { ?>

                                            <option value="">Seleccione</option>

                                        <?php } ?>

                                        <?php

                                        if ($sucursales) {

                                            foreach ($sucursales as $sucursale) {

                                                $val = ($sucursal == $sucursale->id) ? TRUE : ''; ?>

                                                <option

                                                    value="<?php echo $sucursale->id ?>" <?php if ($val == TRUE || (isset($_POST['sucursal']) && $_POST['idObraSocial'] == $sucursale->id)) {

                                                    echo "selected";

                                                } ?> ><?php echo $sucursale->nombre ?></option>

                                                <?php

                                            }

                                        }

                                        ?>

                                    </select>

                                </div>

                            </div>

                        <?php endif; ?>


                        <div class="control-group">

                            <label class="control-label" for="nombre">Nombre</label>

                            <div class="controls">

                                <?php $nombre = (isset($row->nombre)) ? $row->nombre : ''; ?>

                                <input type="text" class="input-xxlarge" name="nombre" id="nombre"

                                       value="<?php echo set_value('nombre', $nombre); ?>">

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="apellido">Apellido</label>

                            <div class="controls">

                                <?php $apellido = (isset($row->apellido)) ? $row->apellido : ''; ?>

                                <input type="text" class="input-xxlarge" name="apellido" id="apellido"

                                       value="<?php echo set_value('apellido', $apellido); ?>">

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="idObraSocial">Obra Social</label>

                            <?php $idObraSocial = (isset($row->idObraSocial)) ? $row->idObraSocial : FALSE; ?>

                            <div class="controls">

                                <select id="idObraSocial" name="idObraSocial">

                                    <?php

                                    if (!isset($row->idObraSocial)) { ?>

                                        <option value="">Seleccione</option>

                                    <?php } ?>

                                    <?php

                                    if ($obras_sociales) {

                                        foreach ($obras_sociales as $obra_social) {

                                            $val = ($idObraSocial == $obra_social->id) ? TRUE : ''; ?>

                                            <option

                                                value="<?php echo $obra_social->id ?>" <?php if ($val == TRUE || (isset($_POST['idObraSocial']) && $_POST['idObraSocial'] == $obra_social->id)) {

                                                echo "selected";

                                            } ?> ><?php echo $obra_social->nombre ?></option>

                                            <?php

                                        }

                                    }

                                    ?>

                                </select>

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="numero_afiliado">Nro afiliado</label>

                            <div class="controls">

                                <?php $numero_afiliado = (isset($row->numero_afiliado)) ? $row->numero_afiliado : ''; ?>

                                <input type="text" class="input-xxlarge" name="numero_afiliado" id="numero_afiliado"

                                       value="<?php echo set_value('email', $numero_afiliado); ?>">

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="telefono">Teléfono</label>

                            <div class="controls">

                                <?php $telefono = (isset($row->telefono)) ? $row->telefono : ''; ?>

                                <input type="text" class="input-xxlarge" name="telefono" id="telefono"

                                       value="<?php echo set_value('telefono', $telefono); ?>">

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="email">E-Mail</label>

                            <div class="controls">

                                <?php $email = (isset($row->email)) ? $row->email : ''; ?>

                                <input type="text" class="input-xxlarge" name="email" id="email"

                                       value="<?php echo set_value('email', $email); ?>">

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="idLocalidad">Localidad</label>

                            <?php $idLocalidad = (isset($row->idLocalidad)) ? $row->idLocalidad : FALSE; ?>

                            <div class="controls">

                                <select id="idLocalidad" name="idLocalidad">

                                    <?php

                                    if (!isset($row->idLocalidad)) { ?>

                                        <option value="0">Seleccione</option>

                                    <?php } ?>

                                    <option <?php echo ($idLocalidad == 0) ? 'selected' : ''; ?> value="0">Sin

                                        localidad

                                    </option>

                                    <?php

                                    if ($localidades) {

                                        foreach ($localidades as $localidad) {

                                            $val = ($idLocalidad == $localidad->id) ? TRUE : ''; ?>

                                            <option

                                                value="<?php echo $localidad->id ?>" <?php if ($val == TRUE || (isset($_POST['idLocalidad']) && $_POST['idLocalidad'] == $localidad->id)) {

                                                echo "selected";

                                            } ?> ><?php echo $localidad->nombre ?></option>

                                            <?php

                                        }

                                    }

                                    ?>

                                </select>

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="direccion">Direccion</label>

                            <?php $direccion = (isset($row->direccion)) ? $row->direccion : ''; ?>

                            <div class="controls">

                                <div id="cubre2"
                                     style="width: 540px; height: 28px; position: absolute;z-index: 10;"></div>

                                <input type="text" class="input-xxlarge" name="direccion" id="direccion"

                                       value="<?php echo set_value('direccion', $direccion); ?>"
                                       onkeypress="return noEnter(event)">
                                <div class="opciones_mapa" style="display: inline-block;">
                                    <a href="#" class="btn btn-inverse modif_mapa">Modificar</a>
                                    <a href="#" class="btn modif_volver">Volver</a>
                                </div>
                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="piso">Piso</label>

                            <?php $piso = (isset($row->piso)) ? $row->piso : ''; ?>

                            <div class="controls">

                                <input type="text" class="input-small" name="piso" id="piso"
                                       value="<?php echo set_value('piso', $piso); ?>"
                                       onkeypress="return noEnter(event)">
                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="g_maps">Ubicación Google Maps</label>

                            <div class="controls">
                                <div id="cubre"
                                     style="width: 960px; height: 450px; position: absolute;z-index: 10;"></div>
                                <?php echo $map['js']; ?>

                                <script type="text/javascript">

                                    function obtenerData(map, latLng, newLat, newLng) {

                                        $('#latitud').val(newLat);

                                        $('#longitud').val(newLng);


                                        for (var i = 0; i < markers_map.length; i++) markers_map[i].setMap(null);

                                        marker = createMarker_map({map: map, position: latLng});

                                    }


                                    function autocompletar(map) {

                                        var place = placesAutocomplete.getPlace();

                                        var latitude = place.geometry.location.lat();

                                        var longitude = place.geometry.location.lng();

                                        if (place.geometry.viewport) {

                                            $('#latitud').val(latitude);

                                            $('#longitud').val(longitude);

                                            for (var i = 0; i < markers_map.length; i++) markers_map[i].setMap(null);

                                            marker = createMarker_map({map: map, position: place.geometry.location});

                                            map.fitBounds(place.geometry.viewport);

                                        } else {

                                            $('#latitud').val(latitude);

                                            $('#longitud').val(longitude);

                                            for (var i = 0; i < markers_map.length; i++) markers_map[i].setMap(null);

                                            marker = createMarker_map({map: map, position: place.geometry.location});

                                            map.setCenter(place.geometry.location);

                                            map.setZoom(17);

                                        }

                                    }

                                </script>


                                <?php echo $map['html']; ?>

                                <?php $latitud = (isset($row->latitud)) ? $row->latitud : ''; ?>

                                <input type="hidden" name="latitud" id="latitud"

                                       value="<?php echo set_value('latitud', $latitud); ?>">

                                <?php $longitud = (isset($row->longitud)) ? $row->longitud : ''; ?>

                                <input type="hidden" name="longitud" id="longitud"

                                       value="<?php echo set_value('longitud', $longitud); ?>">

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label" for="observaciones">Observaciones</label>

                            <div class="controls">

                                <?php $observaciones = (isset($row->observaciones)) ? $row->observaciones : ''; ?>

                                <textarea class="input-xxlarge " id="observaciones" name="observaciones"

                                          rows="10"

                                          cols="7"><?php echo set_value('observaciones', $observaciones); ?></textarea>

                            </div>

                        </div>


                        <div class="control-group">

                            <label class="control-label">Habilitado</label>

                            <div class="controls">

                                <?php

                                $habilitado = (isset($row->habilitado)) ? $row->habilitado : '1';

                                $si = ($habilitado == 1) ? TRUE : FALSE;

                                $no = ($habilitado == 2) ? TRUE : FALSE;

                                ?>

                                <label class="radio">

                                    <input type="radio" name="habilitado" id="si"

                                           value="1" <?php echo set_radio('habilitado', '1', $si); ?>>

                                    Si

                                </label>

                                <label class="radio">

                                    <input type="radio" name="habilitado" id="no"

                                           value="2" <?php echo set_radio('habilitado', '2', $no); ?>>

                                    No

                                </label>

                            </div>

                        </div>


                        <?php if (isset($row->id) && $row->id != 0) { ?>

                            <div class="form-actions modificador">

                                <button class="btn btn-inverse modificar">Modificar</button>

                                <button class="btn cancel">Volver</button>

                            </div>

                            <div class="form-actions editable" style="display:none;">

                                <button type="submit" class="btn btn-inverse">Guardar</button>

                                <button class="btn can_edit">Cancelar</button>

                            </div>

                        <?php } else { ?>

                            <div class="form-actions editable">

                                <button type="submit" id="guardar" class="btn btn-inverse">Guardar</button>

                                <button class="btn cancel">Cancelar</button>

                            </div>

                        <?php } ?>

                    </fieldset>

                </div>

            </div>

        </div>

    </div>

</form>

<?php if (isset($row->id)) { ?>

    <div id="profesionales"></div>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#profesionales").load("<?php echo base_url('admin/pacientes/sub_index/' . $row->id . '/' . $row->idLocalidad)?>");

        });

    </script>

<?php } ?>